package cn.superdesk.uniorder.service.accounting.unified.supplier;

import cn.superdesk.uniorder.dao.entity.accounting.unified.supplier.AccountingUnifiedSupplier;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierStatisticsFixVoDimGoods;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierStatisticsFixVoDimOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierStatisticsVo;
import cn.superdesk.uniorder.dto.vo.accounting.unified.supplier.AccountingOrderUnifiedSupplierListItemVo;

import java.util.Map;

public interface AccountingUnifiedSupplierServiceOpStatistics {

    @Deprecated
    int statistics(Long accountingOrderId);

    @Deprecated
    int statistics(String accountingOrderSn);

    int statistics(AccountingUnifiedSupplier statementOfAccount);

    int statisticsRevise(Long accountingOrderId, AccountingOrderUnifiedSupplierStatisticsVo statisticsVo);

    void fixDimOrder(AccountingOrderUnifiedSupplierListItemVo unifiedSupplierStatementOfAccountVo);

    void fixDimGoods(AccountingOrderUnifiedSupplierListItemVo unifiedSupplierStatementOfAccountVo);

    AccountingOrderUnifiedSupplierStatisticsFixVoDimOrder checkAmountErrorForFixDimOrder(Map<String, Object> params);

    AccountingOrderUnifiedSupplierStatisticsFixVoDimGoods checkAmountErrorForFixDimGoods(Map<String, Object> params);
}
